Package ghidra.util.table.field

# Class CodeUnitTableCellData

java.lang.Object
ghidra.util.table.field.CodeUnitTableCellData

All Implemented Interfaces:
  `Comparable<CodeUnitTableCellData>`

public class CodeUnitTableCellData extends Object implements Comparable<CodeUnitTableCellData>
A class that knows how to render `CodeUnit`s in 1 or more lines

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CodeUnitTableCellData(ProgramLocation location, CodeUnitFormat codeUnitFormat, int codeUnitOffset, int codeUnitCount)`
  Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compareTo(CodeUnitTableCellData data)`
  `String`
  `getDisplayString()`
  Get the visual representation for the code unit at or containing the address associated with this cell's row
  `List<String>`
  `getDisplayStrings()`
  `String`
  `getHTMLDisplayString()`
  Get the visual representation as HTML for the code unit at or containing the address associated with this cell's row
  `boolean`
  `isOffcut()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CodeUnitTableCellData

    public CodeUnitTableCellData(ProgramLocation location, CodeUnitFormat codeUnitFormat, int codeUnitOffset, int codeUnitCount)
    Constructor
    Parameters:
      `location` - the location of the code unit to display
      `codeUnitFormat` - the format needed to render the code unit
      `codeUnitOffset` - relative code-unit offset from the specified address (this is not a byte-offset, it is expressed in terms of number of code-units).
      `codeUnitCount` - number of code-units to be displayed

- ## Method Details

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### compareTo

    public int compareTo(CodeUnitTableCellData data)
    Specified by:
      `compareTo` in interface `Comparable<CodeUnitTableCellData>`

  - ### getDisplayString

    public String getDisplayString()
    Get the visual representation for the code unit at or containing the address associated with this cell's row
    Returns:
      the display string

  - ### getHTMLDisplayString

    public String getHTMLDisplayString()
    Get the visual representation as HTML for the code unit at or containing the address associated with this cell's row
    Returns:
      the display string

  - ### getDisplayStrings

    public List<String> getDisplayStrings()

  - ### isOffcut

    public boolean isOffcut()